## mwclient 0.11.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mwclient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mwclient.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mwclient"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mwclient"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx==7.2.5
sphinx_rtd_theme==1.3.0

## mwclient 0.8.6

=== debian/changelog ===
mwclient (0.8.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Remove unused Build-Depends which are not in stretch

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 22 Jan 2018 12:23:34 +0100

mwclient (0.8.6-1) unstable; urgency=low

  * Initial release. (Closes: #886826)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 10 Jan 2018 11:37:31 +0100

=== debian/control ===
Source: mwclient
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-runner,
               python3-setuptools,
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mwclient.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mwclient.git
Homepage: https://github.com/mwclient/mwclient

Package: python3-mwclient
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
XB-Python-Version: ${python3:Versions}
Description: MediaWiki API client in Python
 mwclient is a lightweight Python client library to the MediaWiki API
 which provides access to most API functionality. It works with Python
 2.7, 3.3 and above, and supports MediaWiki 1.16 and above. For
 functions not available in the current MediaWiki, a
 MediaWikiVersionError is raised.
 .
 Most properties and generators accept the same parameters as the API,
 without their two-letter prefix. Exceptions to this rule:
 .
  * Image.imageinfo is the imageinfo of the latest image. Earlier
    versions can be fetched using imagehistory()
  * Site.all*: parameter  [ap]from renamed to start
  * categorymembers is implemented as Category.members
  * deletedrevs is deletedrevisions
  * usercontribs is usercontributions
  * First parameters of search and usercontributions are search and
    user respectively
 .
 Properties and generators are implemented as Python generators. Their
 limit parameter is only an indication of the number of items in one
 chunk. It is not the total limit. Doing list(generator(limit =
 limit)) will return ALL items of generator, and not be limited by the
 limit value. Default chunk size is generally the maximum chunk size.

## mwclient 0.8.7

=== debian/changelog ===
mwclient (0.8.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Hans-Christoph Steiner ]
  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 22 Feb 2018 11:29:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                python3-all,
                python3-pytest,
                python3-pytest-cov,
+               python3-pytest-pep8,
                python3-pytest-runner,
                python3-setuptools,
 Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mwclient.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mwclient.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/mwclient.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/mwclient
 Homepage: https://github.com/mwclient/mwclient
 
 Package: python3-mwclient

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	echo tests subdir not yet included in source tarball

=== debian/watch ===
version=3
opts=uversionmangle=s/\.RC/~RC/ \
https://pypi.debian.net/mwclient/mwclient-(.*)\.tar\.gz

## mwclient 0.10.0

=== debian/changelog ===
mwclient (0.10.0-2) unstable; urgency=medium

  * Add upstream tests
  * add pybuild_name in d/rules

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 20 Nov 2019 09:44:41 +0100

mwclient (0.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Håvard Flaget Aasen ]
  * New upstream version 0.10.0
  * Bump dh to 12
  * Bump Standards-Version to 4.4.1
  * Added myself as uploader.
  * Update build dependencies.
  * Updated message concerning test.
    - Still disabled because python2 dependency.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 18 Nov 2019 22:46:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: debhelper (>= 10),
-               dh-python,
-               python3-all,
-               python3-pytest,
-               python3-pytest-cov,
-               python3-pytest-pep8,
-               python3-pytest-runner,
-               python3-setuptools,
-Standards-Version: 4.1.3
+Uploaders: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
+Build-Depends: debhelper-compat (= 12),
+ dh-python,
+ python3-all,
+ python3-setuptools,
+ python3-six,
+ python3-requests-oauthlib,
+ python3-responses,
+ python3-pytest,
+ python3-pytest-cov
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/mwclient.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/mwclient
 Homepage: https://github.com/mwclient/mwclient

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=mwclient

export PYBUILD_AFTER_TEST=rm -f {build_dir}/.coverage

%:
	dh $@ --with python3 --buildsystem=pybuild

## mwclient 0.10.1

=== debian/changelog ===
mwclient (0.10.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Håvard Flaget Aasen ]
  * d/watch: Update to version 4.
  * Add autopkgtest
  * Move disabling of test from patch to d/rules.
  * d/patches: Add "Forwarded" to comply with DEP-3.
  * d/gbp.conf: Make debian/master default branch.
  * d/control: Update Standards-Version to 4.6.0

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 23 Aug 2021 23:37:39 +0200

mwclient (0.10.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.5.0
  * Bump debhelper to 13
  * Add Rules-Requires-Root: no
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse,
    Bug-Submit.
  * d/copyright
    - Update upstream copyright

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 02 Jun 2020 22:35:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: mwclient
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -12,9 +12,10 @@
  python3-responses,
  python3-pytest,
  python3-pytest-cov
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/mwclient.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/mwclient
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/mwclient.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/mwclient
 Homepage: https://github.com/mwclient/mwclient
 
 Package: python3-mwclient

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #export DH_VERBOSE=1
 export PYBUILD_NAME=mwclient
 
+export PYBUILD_TEST_ARGS="-k not testVersion"
 export PYBUILD_AFTER_TEST=rm -f {build_dir}/.coverage
 
 %:

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-setuptools,
 python3-six,
 python3-requests-oauthlib,
 python3-responses,
 python3-pytest,
 python3-pytest-cov,
 python3-mwclient

=== debian/watch ===
version=4
opts=uversionmangle=s/\.RC/~RC/ \
https://pypi.debian.net/mwclient/mwclient-(.*)\.tar\.gz

## mwclient 0.11.0

=== debian/changelog ===
mwclient (0.11.0-2) unstable; urgency=medium

  * Team upload.
  * Python3-six is not needed for autopkgtest
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Jan 2025 15:16:12 +0100

mwclient (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0 (Closes: #1078421)
    * Drop merged patches.
    * Update build dependencies.
    * Update supported versions in the binary package description.
  * Adopt package (Closes: #1068659)
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Taavi Väänänen <taavi@debian.org>  Fri, 16 Aug 2024 20:41:18 +0300

mwclient (0.10.1-3) unstable; urgency=medium

  * QA upload.
  * Orphan package, set maintainer to Debian QA Group.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 08 Apr 2024 21:19:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
+Uploaders: Taavi Väänänen <taavi@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
- python3-six,
  python3-requests-oauthlib,
  python3-responses,
  python3-pytest,
  python3-pytest-cov
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/mwclient.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mwclient
@@ -26,9 +25,9 @@
 Description: MediaWiki API client in Python
  mwclient is a lightweight Python client library to the MediaWiki API
  which provides access to most API functionality. It works with Python
- 2.7, 3.3 and above, and supports MediaWiki 1.16 and above. For
- functions not available in the current MediaWiki, a
- MediaWikiVersionError is raised.
+ 3.5 and above, and supports MediaWiki 1.16 and above. For functions
+ not available in the current MediaWiki, a MediaWikiVersionError is
+ raised.
  .
  Most properties and generators accept the same parameters as the API,
  without their two-letter prefix. Exceptions to this rule:

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_AFTER_TEST=rm -f {build_dir}/.coverage
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Depends:
  python3-all,
  python3-setuptools,
- python3-six,
  python3-requests-oauthlib,
  python3-responses,
  python3-pytest,
